Skip to main content
GET
/
api
/
modelServing
/
v1
/
modelApis
/
{modelApiId}
/
versions
cURL
curl --request GET \
  --url https://api.example.com/api/modelServing/v1/modelApis/{modelApiId}/versions \
  --header 'X-Domino-Api-Key: <api-key>'
[
  {
    "commitId": "<string>",
    "dataPlaneId": "<string>",
    "environmentRevisionId": "<string>",
    "id": "<string>",
    "labels": [
      "<string>"
    ],
    "logHttpRequestResponse": true,
    "metadata": {
      "created": 123,
      "createdBy": "<string>",
      "summary": "<string>"
    },
    "modelApiId": "<string>",
    "monitoringEnabled": true,
    "projectId": "<string>",
    "recordInvocation": true,
    "source": {
      "excludeFiles": [
        "<string>"
      ],
      "file": "<string>",
      "function": "<string>",
      "registeredModelName": "<string>",
      "registeredModelVersion": 123
    },
    "bundleId": "<string>",
    "deployment": {
      "isPending": true,
      "status": "<string>"
    },
    "description": "<string>",
    "number": 123,
    "predictionDatasetResourceId": "<string>",
    "provenanceCheckpointId": "<string>"
  }
]

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

modelApiId
string
required

The id of the Model API to list the versions for.

Response

200 - application/json

The list of Model API Versions for the given Model API.

commitId
string
required

The id of the commit of the Model API Version.

dataPlaneId
string
required

The id of the data plane the Model API Version is deployed to.

environmentRevisionId
string
required

The id of the environment revision the Model API Version is deployed on.

id
string
required

The id of the Model API Version.

labels
string[]
required

The labels of the Model API Version.

logHttpRequestResponse
boolean
required

Whether the Model API Version should log the HTTP requests and responses.

metadata
object
required
modelApiId
string
required

The id of the Model API the version belongs to.

monitoringEnabled
boolean
required

Whether monitoring is enabled for the Mode API Version.

projectId
string
required

The id of the project the Model API Version belongs to.

recordInvocation
boolean
required

Whether the Model API Version should record invocations.

source
object
required
bundleId
string | null

The ID of the bundle governing the model API to create.

Pattern: ^[0-9a-f]{24}$
deployment
object
description
string

The description of the Model API Version.

number
integer

The version number of the Model API Version.

predictionDatasetResourceId
string | null

The id of the prediction dataset used by the Model API Version.

provenanceCheckpointId
string | null

The id of the provenance checkpoint of the Model API Version.